Bug of Installing BootStrap by npm

version of node.js: v10.15.1
version of BootStrap: v4.3.1
cmd: npm install jquery@1.19.1 popper.js bootstrap -g --save-dev
the result is: date of all the .js,.css is 2015-xx-xx,
what’s wrong?

(Moved to #support. Please use the template for #bugs for possible bugs in npm itself.)

I was not able to reproduce this. What do you see? (And think you intended jquery@1.9.1?)

$ node -p process.platform
darwin
$ npm --versions
{ '5794': '1.0.0',
  npm: '6.8.0',
  ares: '1.15.0',
  brotli: '1.0.7',
  cldr: '34.0',
  http_parser: '2.8.0',
  icu: '63.1',
  llhttp: '1.1.1',
  modules: '67',
  napi: '4',
  nghttp2: '1.34.0',
  node: '11.10.0',
  openssl: '1.1.1a',
  tz: '2018e',
  unicode: '11.0',
  uv: '1.26.0',
  v8: '7.0.276.38-node.17',
  zlib: '1.2.11' }
$ npm init -y
...
$ npm install jquery@1.9.1 popper.js bootstrap 
...
$ find . -name "*.js" -ls
8630827928        0 drwxr-xr-x    7 john             staff                 224  1 Mar 20:34 ./node_modules/popper.js
8630827956      168 -rw-r--r--    1 john             staff               83322 30 Jan 00:46 ./node_modules/popper.js/dist/popper.js
...
8630828047      440 -rw-r--r--    1 john             staff              222911 26 Oct  1985 ./node_modules/bootstrap/dist/js/bootstrap.bundle.js
8630828116      264 -rw-r--r--    1 john             staff              131637 26 Oct  1985 ./node_modules/bootstrap/dist/js/bootstrap.js
8630828090      160 -rw-r--r--    1 john             staff               78635 26 Oct  1985 ./node_modules/bootstrap/dist/js/bootstrap.bundle.min.js
...
8630827937       32 -rw-r--r--    1 john             staff               13471 18 Jul  2014 ./node_modules/jquery/Gruntfile.js
8630828128        8 -rw-r--r--    1 john             staff                  22 18 Jul  2014 ./node_modules/jquery/test/unit/deprecated.js
8630828145       24 -rw-r--r--    1 john             staff                8475 18 Jul  2014 ./node_modules/jquery/test/unit/selector.js
...

Of related interest, using a specific modification time when packing: https://github.com/npm/npm/pull/20027

This topic was automatically closed 90 days after the last reply. New replies are no longer allowed.